Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPUnstructuredGridReader Class Reference

`#include <vtkXMLPUnstructuredGridReader.h>`

Inheritance diagram for vtkXMLPUnstructuredGridReader:

[legend]
Collaboration diagram for vtkXMLPUnstructuredGridReader:

[legend]
List of all members.

## Detailed Description

Read PVTK XML UnstructuredGrid files.

Date:
  2002/10/16 18:23:07

Revision:
  1.1

vtkXMLPUnstructuredGridReader reads the PVTK XML UnstructuredGrid file format. This reads the parallel format's summary file and then uses vtkXMLUnstructuredGridReader to read data from the individual UnstructuredGrid piece files. Streaming is supported. The standard extension for this reader's file format is "pvtu".

See also:
  vtkXMLUnstructuredGridReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (96%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPUnstructuredGridReader.h)`
  - .`cxx` (`/IO/vtkXMLPUnstructuredGridReader.cxx)`

Definition at line 49 of file vtkXMLPUnstructuredGridReader.h.

## Public Types
typedef vtkXMLPUnstructuredDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkUnstructuredGrid *output)
vtkUnstructuredGrid * | GetOutput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPUnstructuredGridReader * | SafeDownCast (vtkObject *o)
vtkXMLPUnstructuredGridReader * | New ()
## Protected Methods
| vtkXMLPUnstructuredGridReader ()
| ~vtkXMLPUnstructuredGridReader ()
const char * | GetDataSetName ()
void | GetOutputUpdateExtent (int &piece, int &numberOfPieces, int &ghostLevel)
void | SetupOutputTotals ()
void | SetupOutputData ()
void | SetupNextPiece ()
int | ReadPieceData ()
void | CopyArrayForCells (vtkDataArray *inArray, vtkDataArray *outArray)
vtkXMLDataReader * | CreatePieceReader ()
## Protected Attributes
vtkIdType | StartCell

## Member Typedef Documentation

typedef vtkXMLPUnstructuredDataReader vtkXMLPUnstructuredGridReader::Superclass

| Reimplemented from vtkXMLPUnstructuredDataReader. Definition at line 52 of file vtkXMLPUnstructuredGridReader.h.

## Constructor & Destructor Documentation

vtkXMLPUnstructuredGridReader::vtkXMLPUnstructuredGridReader | ( |  | ) | `[protected]`

vtkXMLPUnstructuredGridReader::~vtkXMLPUnstructuredGridReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPUnstructuredGridReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

int vtkXMLPUnstructuredGridReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPUnstructuredDataReader.

virtual int vtkXMLPUnstructuredGridReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPUnstructuredDataReader.

vtkXMLPUnstructuredGridReader* vtkXMLPUnstructuredGridReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

void vtkXMLPUnstructuredGridReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPUnstructuredDataReader.

vtkXMLPUnstructuredGridReader* vtkXMLPUnstructuredGridReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLPUnstructuredGridReader::SetOutput | ( | vtkUnstructuredGrid * | output | ) |

| Get/Set the reader's output.

vtkUnstructuredGrid* vtkXMLPUnstructuredGridReader::GetOutput | ( |  | ) |

| Get/Set the reader's output.

const char* vtkXMLPUnstructuredGridReader::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLPUnstructuredGridReader::GetOutputUpdateExtent | ( | int & | piece,
|  | int & | numberOfPieces,
|  | int & | ghostLevel
| ) | `[protected, virtual]`

| Implements vtkXMLPUnstructuredDataReader.

void vtkXMLPUnstructuredGridReader::SetupOutputTotals | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

void vtkXMLPUnstructuredGridReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

void vtkXMLPUnstructuredGridReader::SetupNextPiece | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

int vtkXMLPUnstructuredGridReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPUnstructuredDataReader.

void vtkXMLPUnstructuredGridReader::CopyArrayForCells | ( | vtkDataArray * | inArray,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

vtkXMLDataReader* vtkXMLPUnstructuredGridReader::CreatePieceReader | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

## Member Data Documentation

vtkIdType vtkXMLPUnstructuredGridReader::StartCell`[protected]`

| Definition at line 79 of file vtkXMLPUnstructuredGridReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPUnstructuredGridReader.h